Bug 735146 - (kstars) Review Request: kstars - Desktop Planetarium
Review Request: kstars - Desktop Planetarium
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdeedu
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-09-01 11:32 EDT by Rex Dieter
Modified: 2011-09-25 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-25 14:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-09-01 11:32:18 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeedu/kstars.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdeedu/kstars-4.7.0-10.fc15.src.rpm
Description: Desktop Planetarium
Comment 1 nucleo 2011-09-19 11:46:13 EDT
Should xplanet be installed with kstars or it needed only at build time?
This bug depends on libkdeedu but looks like kstars not needs it?
Comment 2 nucleo 2011-09-19 11:48:58 EDT
There are many desktop-file-validate warnings http://pastebin.com/raw.php?i=SF2yQR56
Is it safe to ignore all of them?
Comment 3 Rex Dieter 2011-09-19 11:58:51 EDT
imo, let's try to limit ourselves to review blockers (another nice-to-haves can certainly be addressed post-review).

that said,
re: xplanet  , as I understand it, it's an optional feature that's only enabled if xplanet is present during build.  so, we could add a runtime dep too, if you insist, but I don't think it's needed for normal operation.

re: desktop-validate warnings.  those look mostly harmless to me
Comment 4 nucleo 2011-09-20 16:32:13 EDT
Most of code is GPLv2+ but kstars/htmesh/* have LICENSE with dual licenses: modified-BSD, and GPLv2+.
Comment 5 nucleo 2011-09-20 16:45:49 EDT
Kstars statically linked with htmesh so resulting License tag will be GPLv2+?
Comment 6 nucleo 2011-09-21 12:34:55 EDT
rpmlint output:
$ rpmlint kstars-4.7.1-1.fc17.i686.rpm kstars-debuginfo-4.7.1-1.fc17.i686.rpm kstars-4.7.1-1.fc17.x86_64.rpm kstars-debuginfo-4.7.1-1.fc17.x86_64.rpm kstars-4.7.1-1.fc17.src.rpm 
kstars.i686: W: obsolete-not-provided kdeedu-kstars-libs
kstars.i686: E: script-without-shebang /usr/share/applications/kde4/kstars.desktop
kstars.i686: W: no-manual-page-for-binary kstars
kstars.x86_64: W: obsolete-not-provided kdeedu-kstars-libs
kstars.x86_64: E: script-without-shebang /usr/share/applications/kde4/kstars.desktop
kstars.x86_64: W: no-manual-page-for-binary kstars
5 packages and 0 specfiles checked; 2 errors, 4 warnings.

kstars.desktop is not script so this error can be ignored, no manual page available in sources.

Builds in mock: http://koji.fedoraproject.org/koji/taskinfo?taskID=3360699 - OK

Name: kstars - OK
Summary: Desktop Planetarium - OK
License: GPLv2+ - OK, license file in %doc
URL: https://projects.kde.org/projects/kde/kdeedu/kstars is OK but http://edu.kde.org/kstars/ will be more informative.
Source: md5sum: fe243613d628e28371ea4986f2312d70  kstars-4.7.1.tar.bz2 -OK
Build dependencies listed in BuildRequires - OK
Macros used consistently: OK
Icon cache: OK
Desktop file validations: (harmless warnings) - OK
Package own all directories that it creates: %{_kde4_appsdir}/kstars/ - OK
Comment 7 nucleo 2011-09-21 12:37:12 EDT
So package is good and  APPROVED,

and nice to have this URL http://edu.kde.org/kstars/
Comment 8 nucleo 2011-09-21 12:41:06 EDT
and also nice to have Description from http://edu.kde.org/kstars/
Comment 9 Rex Dieter 2011-09-21 14:03:41 EDT
New Package SCM Request
=======================
Package Name: kstars
Short Description: Desktop Planetarium
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
Comment 10 Jon Ciesla 2011-09-24 11:45:47 EDT
Git done (by process-git-requests).
Comment 11 Rex Dieter 2011-09-25 14:58:35 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.